namespace FitConnect.Models;

/// <summary>
/// Representation of FitConnect error responses
/// </summary>
public class FitConnectException : Exception {
    public enum ErrorTypeEnum {
        Unknown,
    }

    public ErrorTypeEnum ErrorType { get; set; }

    public FitConnectException(string message, ErrorTypeEnum errorType = ErrorTypeEnum.Unknown,
        Exception? innerException = null) : base(message, innerException) {
        ErrorType = errorType;
    }
}
